# $Revision: 1.14 $, $Date: 2010/03/02 12:22:58 $
%define pkgname runt
Summary:	Ruby Temporal Expressions
Summary(pl.UTF-8):	Wyrażenia czasowe dla języka Ruby
Name:		ruby-%{pkgname}
Version:	0.7.0
Release:	1
License:	GPL
Group:		Development/Libraries
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	15c36c030d985091b927f2a1f390fff0
URL:		http://runt.rubyforge.org/
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
#BuildArch:	noarch
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Runt is an implementation of select temporal patterns by Martin Fowler
in the super-fantastic Ruby language.

%description -l pl.UTF-8
Runt to implementacja wybranych wyrażeń czasowych Martina Fowlera w
języku Ruby.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}

%build
ruby setup.rb config \
	--site-ruby=%{ruby_rubylibdir} \
	--so-dir=%{ruby_archdir}

ruby setup.rb setup

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{Date,ExpressionBuilder,Numeric,Time}
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO CHANGES doc examples
%{ruby_rubylibdir}/runt
%{ruby_rubylibdir}/runt.rb

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Runt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-runt.spec,v $
Revision 1.14  2010/03/02 12:22:58  baggins
- up to 0.7.0
- added rdoc and ri packages

Revision 1.13  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.11  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.10  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.9  2005/12/27 09:44:19  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.8  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.7  2004/10/31 17:23:11  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/09/24 13:18:35  radek
- massive: missing %defattr (or related cosmetics)

Revision 1.5  2004/08/26 01:14:00  aredridel
- ruby does not handle libdir properly on amd64.
- will be noarch again after Ruby is patched.

Revision 1.4  2004/06/27 11:58:08  qboosh
- pl(?)

Revision 1.3  2004/06/27 01:15:34  aredridel
- rdoc

Revision 1.2  2004/06/27 01:12:01  aredridel
- buildarch

Revision 1.1  2004/06/27 01:11:28  aredridel
- added
